import { Component } from '@angular/core';

@Component({
  selector: 'app-monaco-editor',
  templateUrl: './monaco-editor-test.component.html',
  styleUrls: ['./monaco-editor-test.component.scss']
})
export class MonacoEditorTestComponent{
    
  language: string = 'java';
  theme: string = 'vs-dark';

    options = {
      theme:this.theme,
      language: this.language,
      automaticLayout: true,
      quickSuggestions:true,
      wordBasedSuggestions:true

    };
  js_placeholder: string=
  `
  function printHello () {
    console.log("Hello world!");
  }`;
  
  java_placeholder: string = 
  `
  public class TestHelloWorld {
    public static void main (String [] args){
      System.out.println("Hello World");
    }
  }`;

  csharp_placeholder: string = 
  `
  using System;
  namespace Demo
  {
    public class TestHelloWorld
    {
      Console.WriteLine("Hello World");
    }
  }`;
  json_placeholder: string ='';

  onInit(editor: { getPosition: () => any; }) {
    let line = editor.getPosition();
    console.log(line);
  }
}
 